cgCreateSamplerStateAssignment(3)

NAME
cgCreateSamplerStateAssignment - create a sampler state assignment

SYNOPSIS
  #include <Cg/cg.h>
  CGstateassignment cgCreateSamplerStateAssignment( CGparameter param,
                                                    CGstate state );

PARAMETERS

param
    The sampler parameter to which the new state assignment will be associated.

state
    The state for which to create the new state assignment.

RETURN VALUES
Returns the handle to the created sampler state assignment.

DESCRIPTION
cgCreateSamplerStateAssignment creates a new state assignment for the given state and sampler parameter.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

CG_INVALID_STATE_HANDLE_ERROR is generated if state is not a valid state.

HISTORY
cgCreateSamplerStateAssignment was introduced in Cg 1.5.

SEE ALSO
the cgCreateTechnique manpage, the cgCreateStateAssignment manpage, the cgCreateSamplerState manpage